# Zaraz

Types:

- <code><a href="./src/resources/zaraz/zaraz.ts">ButtonTextTranslation</a></code>
- <code><a href="./src/resources/zaraz/zaraz.ts">NeoEvent</a></code>

Methods:

- <code title="put /zones/{zone_id}/settings/zaraz/workflow">client.zaraz.<a href="./src/resources/zaraz/zaraz.ts">update</a>({ ...params }) -> Workflow</code>

## Config

Types:

- <code><a href="./src/resources/zaraz/config.ts">Configuration</a></code>

Methods:

- <code title="put /zones/{zone_id}/settings/zaraz/config">client.zaraz.config.<a href="./src/resources/zaraz/config.ts">update</a>({ ...params }) -> Configuration</code>
- <code title="get /zones/{zone_id}/settings/zaraz/config">client.zaraz.config.<a href="./src/resources/zaraz/config.ts">get</a>({ ...params }) -> Configuration</code>

## Default

Methods:

- <code title="get /zones/{zone_id}/settings/zaraz/default">client.zaraz.default.<a href="./src/resources/zaraz/default.ts">get</a>({ ...params }) -> Configuration</code>

## Export

Methods:

- <code title="get /zones/{zone_id}/settings/zaraz/export">client.zaraz.export.<a href="./src/resources/zaraz/export.ts">get</a>({ ...params }) -> Configuration</code>

## History

Types:

- <code><a href="./src/resources/zaraz/history/history.ts">HistoryListResponse</a></code>

Methods:

- <code title="put /zones/{zone_id}/settings/zaraz/history">client.zaraz.history.<a href="./src/resources/zaraz/history/history.ts">update</a>({ ...params }) -> Configuration</code>
- <code title="get /zones/{zone_id}/settings/zaraz/history">client.zaraz.history.<a href="./src/resources/zaraz/history/history.ts">list</a>({ ...params }) -> HistoryListResponsesSinglePage</code>

### Configs

Types:

- <code><a href="./src/resources/zaraz/history/configs.ts">ConfigGetResponse</a></code>

Methods:

- <code title="get /zones/{zone_id}/settings/zaraz/history/configs">client.zaraz.history.configs.<a href="./src/resources/zaraz/history/configs.ts">get</a>({ ...params }) -> ConfigGetResponse</code>

## Publish

Types:

- <code><a href="./src/resources/zaraz/publish.ts">PublishCreateResponse</a></code>

Methods:

- <code title="post /zones/{zone_id}/settings/zaraz/publish">client.zaraz.publish.<a href="./src/resources/zaraz/publish.ts">create</a>({ ...params }) -> PublishCreateResponse</code>

## Workflow

Types:

- <code><a href="./src/resources/zaraz/workflow.ts">Workflow</a></code>

Methods:

- <code title="get /zones/{zone_id}/settings/zaraz/workflow">client.zaraz.workflow.<a href="./src/resources/zaraz/workflow.ts">get</a>({ ...params }) -> Workflow</code>
